pinkdark.css 3.0 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167
  1. :root {
  2. --background-color-hover: #2f1d22;
  3. }
  4. .btn:hover {
  5. background: unset;
  6. border-color: #ff449a;
  7. color: unset;
  8. }
  9. .btn-important {
  10. background: #ffb6c1;
  11. color: #000;
  12. border-color: #ffa1af;
  13. }
  14. .btn-important:hover {
  15. background: #ffa1af;
  16. color: #000;
  17. }
  18. .switch.active {
  19. background-color: #ffb6c1;
  20. }
  21. .nav-list .item.active a,
  22. .nav-list .item.active .as-link {
  23. color: #ffb6c1;
  24. }
  25. .tree-folder.active .tree-folder-title .title {
  26. color: #ffb6c1;
  27. }
  28. .tree-folder-title:hover button.dropdown-toggle .icon {
  29. filter: sepia(21%) brightness(44%) hue-rotate(112deg) saturate(1000%) contrast(132%) invert(100%);
  30. }
  31. .tree-folder-title button.dropdown-toggle:hover .icon {
  32. filter: sepia(21%) brightness(94%) hue-rotate(112deg) saturate(1000%) contrast(132%) invert(100%)
  33. }
  34. .aside_feed .tree-folder-items .item .dropdown-target:target ~ .dropdown-toggle > .icon,
  35. .aside_feed .tree-folder-items .item.active .dropdown-toggle > .icon {
  36. background-color: #000;
  37. }
  38. #new-article {
  39. background: #ffa1af;
  40. }
  41. #new-article > a {
  42. color: #000;
  43. }
  44. #new-article > a:hover {
  45. background: #ff92a2;
  46. }
  47. .day {
  48. color: #ffb6c1;
  49. }
  50. .day .name {
  51. color: #ffb6c1;
  52. }
  53. .flux.current {
  54. border-color: #787394;
  55. }
  56. .content hr {
  57. box-shadow: 0 2px 5px #ffb6c1;
  58. }
  59. #bigMarkAsRead.big {
  60. color: #787394;
  61. }
  62. .nav label {
  63. color: #4f5e78;
  64. }
  65. input:focus {
  66. outline: none;
  67. border: 1px solid #ff449a;
  68. }
  69. .notification.good {
  70. border-color: #ffb6c1;
  71. }
  72. .notification.bad {
  73. border-color: #ff449a;
  74. }
  75. .notification.good .close:hover {
  76. background: #ffb6c1;
  77. }
  78. .notification.bad .close:hover {
  79. background: #ff449a;
  80. }
  81. .notification.good .close:hover .icon {
  82. filter: brightness(0.3);
  83. }
  84. .notification.bad .close .icon {
  85. filter: brightness(0.3);
  86. }
  87. .notification.bad .close:hover .icon {
  88. filter: brightness(3);
  89. }
  90. .stick .btn-important:first-child {
  91. border-right-color: #fd6aae;
  92. }
  93. /*=== Change icon colors */
  94. .header > .item.title .logo {
  95. /* Color FreshRSS logo */
  96. filter: sepia(62%) brightness(107%) hue-rotate(315deg) saturate(248%) contrast(104%) invert(100%);
  97. }
  98. .header > .item.title a:hover .logo {
  99. filter: sepia(62%) brightness(70%) hue-rotate(315deg) saturate(248%) contrast(104%) invert(100%);
  100. }
  101. .icon[src*="/all"],
  102. .icon[src*="/down"],
  103. .icon[src*="/help"],
  104. .icon[src*="/label"],
  105. .icon[src*="/link"],
  106. .icon[src*="/login"],
  107. .icon[src*="/logout"],
  108. .icon[src*="/non-starred"],
  109. .icon[src*="/read"],
  110. .icon[src*="/share"],
  111. .icon[src*="/tag"],
  112. .icon[src*="/up"] {
  113. /* Color dark grey icons */
  114. filter: sepia(21%) brightness(44%) hue-rotate(112deg) saturate(1000%) contrast(132%) invert(100%);
  115. }
  116. .icon[src*="/view-normal"],
  117. .icon[src*="/view-global"],
  118. .icon[src*="/view-reader"],
  119. .icon[src*="/bookmark-tag"],
  120. .icon[src*="/view-rss"],
  121. .icon[src*="/refresh"],
  122. .icon[src*="/search"],
  123. .icon[src*="/rss"],
  124. .icon[src*="/sort-up"],
  125. .icon[src*="/sort-down"],
  126. .icon[src*="/key"],
  127. .icon[src*="/opml-dyn"],
  128. .icon[src*="/configure"],
  129. .icon[src*="/category"] {
  130. /* Color light grey icons */
  131. filter: sepia(62%) brightness(47%) hue-rotate(116deg) saturate(1000%) contrast(119%) invert(100%);
  132. }
  133. #btn-add > img {
  134. filter: brightness(0.75);
  135. }